RDKit::RDKitFP::RDKitFPArguments< OutputType > Class Template Reference

`#include <RDKitFPGenerator.h>`

Inheritance diagram for RDKit::RDKitFP::RDKitFPArguments< OutputType >:

## Public Member Functions

OutputType | getResultSize () const
| Returns the size of the fingerprint based on arguments. More...
std::string | infoString () const
| method that returns information string about the fingerprint specific argument set and the arguments themselves More...
| RDKitFPArguments (unsigned int minPath, unsigned int maxPath, bool useHs, bool branchedPaths, bool useBondOrder, bool countSimulation, const std::vector< std::uint32_t > countBounds, std::uint32_t fpSize, std::uint32_t numBitsPerFeature)
| Construct a new RDKitFPArguments object. More...
Public Member Functions inherited from RDKit::FingerprintArguments< OutputType >
| FingerprintArguments (bool countSimulation, const std::vector< std::uint32_t > countBounds, std::uint32_t fpSize, std::uint32_t numBitsPerFeature=1)
std::string | commonArgumentsString () const
| method that returns information string about common fingerprinting arguments' values More...
virtual | ~FingerprintArguments ()

## Public Attributes

const unsigned int | d_minPath
const unsigned int | d_maxPath
const bool | df_useHs
const bool | df_branchedPaths
const bool | df_useBondOrder
Public Attributes inherited from RDKit::FingerprintArguments< OutputType >
const bool | d_countSimulation
const std::vector< std::uint32_t > | d_countBounds
const std::uint32_t | d_fpSize
const std::uint32_t | d_numBitsPerFeature

## Detailed Description

### template<typename OutputType>
class RDKit::RDKitFP::RDKitFPArguments< OutputType >

Definition at line 21 of file RDKitFPGenerator.h.

## Constructor & Destructor Documentation

## RDKitFPArguments()

template<typename OutputType >

RDKit::RDKitFP::RDKitFPArguments< OutputType >::RDKitFPArguments | ( | unsigned int | minPath,
|  | unsigned int | maxPath,
|  | bool | useHs,
|  | bool | branchedPaths,
|  | bool | useBondOrder,
|  | bool | countSimulation,
|  | const std::vector< std::uint32_t > | countBounds,
|  | std::uint32_t | fpSize,
|  | std::uint32_t | numBitsPerFeature
| ) |  |

Construct a new RDKitFPArguments object.

Parameters

  minPath | the minimum path length (in bonds) to be included
  maxPath | the maximum path length (in bonds) to be included
  useHs | toggles inclusion of Hs in paths (if the molecule has explicit Hs)
  branchedPaths | toggles generation of branched subgraphs, not just linear paths
  useBondOrder | toggles inclusion of bond orders in the path hashes
  countSimulation | if set, use count simulation while generating the fingerprint
  countBounds | boundaries for count simulation, corresponding bit will be set if the count is higher than the number provided for that spot
  fpSize | size of the generated fingerprint, does not affect the sparse versions
  numBitsPerFeature | controls the number of bits that are set for each path/subgraph found

## Member Function Documentation

## getResultSize()

template<typename OutputType >

OutputType RDKit::RDKitFP::RDKitFPArguments< OutputType >::getResultSize | ( |  | ) | const

virtual

Returns the size of the fingerprint based on arguments.

Returns
  OutputType size of the fingerprint

Implements RDKit::FingerprintArguments< OutputType >.

## infoString()

template<typename OutputType >

std::string RDKit::RDKitFP::RDKitFPArguments< OutputType >::infoString | ( |  | ) | const

virtual

method that returns information string about the fingerprint specific argument set and the arguments themselves

Returns
  std::string information string

Implements RDKit::FingerprintArguments< OutputType >.

## Member Data Documentation

## d_maxPath

template<typename OutputType >

const unsigned int RDKit::RDKitFP::RDKitFPArguments< OutputType >::d_maxPath

Definition at line 25 of file RDKitFPGenerator.h.

## d_minPath

template<typename OutputType >

const unsigned int RDKit::RDKitFP::RDKitFPArguments< OutputType >::d_minPath

Definition at line 24 of file RDKitFPGenerator.h.

## df_branchedPaths

template<typename OutputType >

const bool RDKit::RDKitFP::RDKitFPArguments< OutputType >::df_branchedPaths

Definition at line 27 of file RDKitFPGenerator.h.

## df_useBondOrder

template<typename OutputType >

const bool RDKit::RDKitFP::RDKitFPArguments< OutputType >::df_useBondOrder

Definition at line 28 of file RDKitFPGenerator.h.

## df_useHs

template<typename OutputType >

const bool RDKit::RDKitFP::RDKitFPArguments< OutputType >::df_useHs

Definition at line 26 of file RDKitFPGenerator.h.

The documentation for this class was generated from the following file:

- RDKitFPGenerator.h